﻿@{
    Layout = null;
}

<div ng-if="!Model.IsReview">
    <div class="mail-designer" ng-style="{'background' : Model.MailTemplate.BodyBackColor}">
        <div class="btn-container">
            <div class="toolbar transparent fg-white no-margin place-right">
                <button type="button" id="EditBackground" ng-click="editingEmailSection = true; editingBody = true;enterEditing()"><i class="icon-pencil on-left"></i>Edit</button>
            </div>
        </div>
        <div class="content">
            <div class="head" ng-class="{removed : Model.MailTemplate.HasHeader != true}">
                <div class="btn-container">
                    <div class="toolbar transparent fg-white no-margin">
                        <button type="button" ng-hide="Model.MailTemplate.HasHeader" id="AddHeader" ng-click="Model.MailTemplate.HasHeader = true"><i class="icon-plus-2 on-left"></i>Add</button>
                        <button type="button" ng-show="Model.MailTemplate.HasHeader" id="EditHeader" ng-click="editingEmailSection = true; editingHeader = true;enterEditing()"><i class="icon-pencil on-left"></i>Edit</button>
                        <button type="button" ng-show="Model.MailTemplate.HasHeader" id="RemoveHeader" ng-click="Model.MailTemplate.HasHeader = false;Model.MailTemplate.ChangeTemplate=true"><i class="icon-cancel-2 on-left"></i>Delete</button>
                    </div>
                </div>

                <div style="text-align:center">
                    <img ng-show="Model.MailTemplate.HasLogo" class="logo" ng-src="{{getClubLogo()}}" />
                    <h1 ng-show="Model.MailTemplate.HasHeaderText"><span>{{Model.MailTemplate.HeaderText}}</span></h1>
                </div>


                <img class="bannerImg" ng-show="Model.MailTemplate.HeaderBackground!=''" ng-src="{{getHeaderBackground()}}" />

            </div>
            <div class="editor-body" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.Body'].Messages)}">
                <div data-toggle="tooltip" data-placement="top" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.Body'].Messages)}}" jb-tooltip data-html="true">
                    <textarea  k-ng-model="Model.MailTemplate.Body" id="editor" kendo-editor k-tools="['fontName','bold','italic','underline','strikethrough','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','indent','outdent','createLink','unlink','insertImage','cleanFormatting','backColor','viewHtml']"></textarea>
                </div>
            </div>

            <div class="foot" ng-class="{removed : Model.MailTemplate.HasFooter != true}">
                <div class="btn-container">
                    <div class="toolbar transparent fg-white no-margin">
                        <button type="button" ng-hide="Model.MailTemplate.HasFooter" ng-click="Model.MailTemplate.HasFooter = true"><i class="icon-plus-2 on-left"></i>Add</button>
                        <button type="button" ng-show="Model.MailTemplate.HasFooter" ng-click="editingEmailSection = true; editingFooter = true;enterEditing()"><i class="icon-pencil on-left"></i>Edit</button>
                        <button type="button" ng-show="Model.MailTemplate.HasFooter" ng-click="Model.MailTemplate.HasFooter = false;Model.MailTemplate.ChangeTemplate=true"><i class="icon-cancel-2 on-left"></i>Delete</button>
                    </div>
                </div>

                <div style="text-align:center">
                    <h1 ng-show="Model.MailTemplate.HasFooterText"><span>{{Model.MailTemplate.FooterText}}</span></h1>
                </div>
                <img class="bannerImg" ng-show="Model.MailTemplate.FooterBackground!=''" ng-src="{{getFooterBackground()}}" />
            </div>
        </div>
        <div ng-show="editingEmailSection" class="edit-mode">
            <div ng-show="editingHeader">

                <div ng-include="'/Dashboard/Email/HeaderEmail'"></div>
            </div>
            <div ng-show="editingMap">
                <fieldset>
                    <legend>Map</legend>
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="Model.MailTemplate.HasMap" type="checkbox">
                            <span class="check"></span>
                            Show map
                        </label>
                    </div>
                    <label ng-show="Model.MailTemplate.HasMap">Map location</label>
                    <div ng-show="Model.MailTemplate.HasMap" class="input-control select" data-role="input-control">
                        <select ng-model="Model.MailTemplate.MapLocation" ng-options="loc.AddressPoint as loc.Address for loc in Model.MailTemplate.Locations"></select>
                    </div>
                    <label ng-show="Model.MailTemplate.HasMap">Zoom level</label>
                    <div ng-show="Model.MailTemplate.HasMap" class="input-control select" data-role="input-control">
                        <select ng-model="Model.MailTemplate.MapZoom">
                            <option value="5">5</option>
                            <option value="6">6</option>
                            <option value="7">7</option>
                            <option value="8">8</option>
                            <option value="9">9</option>
                            <option value="10">10</option>
                            <option value="11">11</option>
                            <option value="12">12</option>
                            <option value="13">13</option>
                            <option value="14">14</option>
                            <option value="15">15</option>
                            <option value="16">16</option>
                            <option value="17">17</option>
                        </select>
                    </div>
                </fieldset>
            </div>
            <div ng-show="editingFooter">
                <div ng-include="'/Dashboard/Email/FooterEmail'"></div>
            </div>
            <div ng-show="editingBody">
                <fieldset>
                    <legend>Body</legend>
                    <label>Background color</label>
                    <input kendo-color-picker k-tile-size="{width: 27,height: 27}" k-columns="10" k-palette="[
                       '#ffffff' , '#000000' , '#b4dcfa' , '#212745' , '#4e67c8' , '#5eccf3' , '#a7ea52' , '#5dceaf' , '#ff8021' , '#f14124' ,
                       '#f2f2f2' , '#7f7f7f' , '#8bc9f7' , '#c7cce4' , '#dbe0f4' , '#def4fc' , '#edfadc' , '#def5ef' , '#ffe5d2' , '#fcd9d3' ,
                       '#d8d8d8' , '#595959' , '#4facf3' , '#909aca' , '#b8c2e9' , '#beeafa' , '#dbf6b9' , '#beebdf' , '#ffcca6' , '#f9b3a7' ,
                       '#bfbfbf' , '#3f3f3f' , '#0d78c9' , '#5967af' , '#94a3de' , '#9ee0f7' , '#caf297' , '#9de1cf' , '#ffb279' , '#f68d7b' ,
                       '#a5a5a5' , '#262626' , '#063c64' , '#181d33' , '#31479f' , '#11b2eb' , '#81d319' , '#34ac8b' , '#d85c00' , '#c3260c' ,
                       '#7f7f7f' , '#0c0c0c' , '#021828' , '#101322' , '#202f6a' , '#0b769c' , '#568c11' , '#22725c' , '#903d00' , '#821908'
                       ]" ng-model="Model.MailTemplate.BodyBackColor" type="text">
                </fieldset>
            </div>
            <button type="button" class="success place-right" ng-click="saveEditing(positionBanner,typeBannerHeaderValue,typeBannerFooterValue)">Save</button>
            <button type="button" class="place-right" ng-click="cancelEditing()">Cancel</button>
        </div>
        <div class="margin-bottom20 clearfix"></div>
        <div class="margin-bottom20 clearfix"></div>
    </div>
</div>
<div ng-if="Model.IsReview">
    <div class="mail-designer" ng-style="{'background' : Model.MailTemplate.BodyBackColor}">
        <div class="content">
            <div class="head" ng-class="{removed : Model.MailTemplate.HasHeader != true}">
                @*<div class="bg" style="background-image:url({{getHeaderBackground()}})"></div>*@
                <img ng-src="{{getHeaderBackground()}}" />
                <img ng-show="Model.MailTemplate.HasLogo" class="logo" ng-src="{{getClubLogo()}}" />
                <p ng-show="Model.MailTemplate.HasHeaderText"><span>{{Model.MailTemplate.HeaderText}}</span></p>
            </div>
            <div class="body" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.Body'].Messages)}">
                <div ng-hide="MC.stateParams.templateId || MC.stateParams.templateId == ''" data-toggle="tooltip" data-placement="top" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.Body'].Messages)}}" jb-tooltip data-html="true">
                    <textarea kendo-editor ng-model="Model.Body"></textarea>
                </div>
                <div ng-show="MC.stateParams.templateId || MC.stateParams.templateId == ''" style="height:200px; text-align: center; line-height:200px; border: 1px dashed; color:lightgray"><span style="display: block;margin: 0 auto;width: 50%;text-align: center">EMAIL BODY COMES HERE</span></div>
            </div>
            <div class="map" ng-class="{removed : Model.MailTemplate.HasMap != true}">
                <img ng-src="https://maps.googleapis.com/maps/api/staticmap?size=600x160&zoom={{Model.MailTemplate.MapZoom}}&markers={{Model.MailTemplate.MapLocation}}" />
            </div>
            <div class="foot" ng-class="{removed : Model.MailTemplate.HasFooter != true}">
                <img ng-src="{{getFooterBackground()}}" />
                <p ng-show="Model.MailTemplate.HasFooterText"><span>{{Model.MailTemplate.FooterText}}</span></p>
            </div>
        </div>
        <div class="margin-bottom20 clearfix"></div>
    </div>
</div>